Bug 216244 - update mysql56 to the most recent version + use system libs instead of bundled + backport changes of mysql57
Summary: update mysql56 to the most recent version + use system libs instead of bundle...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: patch, patch-ready
Depends on:
Blocks: 192657 198812 199751 205093 205983 209338 209618 211248
  Show dependency treegraph
 
Reported: 2017-01-18 20:54 UTC by Mahdi Mokhtari
Modified: 2017-01-26 19:58 UTC (History)
2 users (show)

See Also:


Attachments
patch-mysql56.fix (26.81 KB, patch)
2017-01-18 20:54 UTC, Mahdi Mokhtari
no flags Details | Diff
patch-mysql56 (27.03 KB, patch)
2017-01-19 03:19 UTC, Mahdi Mokhtari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-18 20:54:35 UTC
Created attachment 179049 [details]
patch-mysql56.fix

This PR updates mysql56 ports to most recent and solves bugs listed:
bug 198812
bug 199751
bug 205093
bug 205983
bug 209618
bug 209338
bug 211248
bug 192657
Comment 1 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-18 20:57:59 UTC
(In reply to Mahdi Mokhtari from comment #0)
QA done, poudriere builds fine
Comment 2 Markus Kohlmeyer 2017-01-18 21:10:40 UTC
Good job, looks fine to me.
Comment 3 Mark Felder freebsd_committer 2017-01-18 22:24:51 UTC
I'm seeing this when I try to build mysql56-client after applying this patch


===>  Patching for mysql56-client-5.6.35
===>  Applying FreeBSD patches for mysql56-client-5.6.35
1 out of 5 hunks failed--saving rejects to mysys_ssl/my_default.cc.rej
=> Patch patch-mysys_ssl_my_default.cc failed to apply cleanly.
=> Patch(es) patch-CMakeLists.txt patch-client_CMakeLists.txt patch-cmake_build_configurations_compiler_options.cmake patch-extra_CMakeLists.txt patch-include-CMakeLists.txt patch-include_my_compare.h patch-include_myisam.h patch-man_CMakeLists.txt applied cleanly.
*** Error code 1
Comment 4 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-19 03:19:38 UTC
Created attachment 179060 [details]
patch-mysql56

It was my error that I attached older version of patch.
This is the correct version.
sorry 😁😅
Comment 5 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-19 15:16:58 UTC
(In reply to Mahdi Mokhtari from comment #4)
For the new patch:
poudriere: builds fine.
portlint: okay.
Comment 6 commit-hook freebsd_committer 2017-01-19 22:29:53 UTC
A commit references this bug:

Author: feld
Date: Thu Jan 19 22:29:06 UTC 2017
New revision: 431919
URL: https://svnweb.freebsd.org/changeset/ports/431919

Log:
  databases/mysql56: Update to 5.6.35

  - Port improvements from MySQL 5.7 port
  - Use system libs instead of bundled
  - Fix many open PRs
  - Change MAINTAINER

  PR:		216244 192657 198812 199751 205093
  PR:		209618 211248 205983 209338

Changes:
  head/databases/mysql56-client/Makefile
  head/databases/mysql56-client/files/patch-CMakeLists.txt
  head/databases/mysql56-client/files/patch-extra_CMakeLists.txt
  head/databases/mysql56-client/files/patch-man_CMakeLists.txt
  head/databases/mysql56-client/files/patch-mysys_ssl_my_default.cc
  head/databases/mysql56-client/files/patch-scripts_CMakeLists.txt
  head/databases/mysql56-client/files/patch-support-files_CMakeLists.txt
  head/databases/mysql56-client/pkg-message
  head/databases/mysql56-server/Makefile
  head/databases/mysql56-server/distinfo
  head/databases/mysql56-server/files/my.cnf.sample.in
  head/databases/mysql56-server/files/mysql-server.in
  head/databases/mysql56-server/files/patch-mysys_ssl_my_default.cc
  head/databases/mysql56-server/pkg-message
  head/databases/mysql56-server/pkg-plist
Comment 7 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-19 23:56:02 UTC
(In reply to commit-hook from comment #6)
Thanks :-)
Comment 8 commit-hook freebsd_committer 2017-01-26 19:58:20 UTC
A commit references this bug:

Author: brnrd
Date: Thu Jan 26 19:58:06 UTC 2017
New revision: 432535
URL: https://svnweb.freebsd.org/changeset/ports/432535

Log:
  MFH: r431919 r431968 r431975 r432035 r432066 r432458

  databases/mysql56: Update to 5.6.35

  - Port improvements from MySQL 5.7 port
  - Use system libs instead of bundled
  - Fix many open PRs
  - Change MAINTAINER

  PR:		216244 192657 198812 199751 205093
  PR:		209618 211248 205983 209338

  databases/mysql56-server: Rollback rc script changes

  databases/mysql56-server: Do not install my.cnf sample

  An issue was discovered where users of mysql did not have a my.cnf and
  the recent update was causing mysqld to find a sample my.cnf and load
  its parameters. This was causing errors on startup for users of innodb
  as the parameters used to init the database did not match the ones in
  the sample config file it was now reading.

  databases/mysql56-server: Fix build with LibreSSL

    - Fix CMake SSL detection
    - Always set WITH_SSL=${OPENSSLBASE}

  PR:		216311
  Approved by:	Mahdi Moktari <mokhi64@gmail.com> (maintainer)
  Differential Revision:	D9272

  Revert r432035 part 2, it breaks build with openssl from base

  With hat:	portmgr

  databases/mysql56-server: Fix OpenSSL linking

    - Force dynamic linking with OpenSSL

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/databases/mysql56-client/Makefile
  branches/2017Q1/databases/mysql56-client/files/patch-CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/files/patch-cmake_ssl.cmake
  branches/2017Q1/databases/mysql56-client/files/patch-extra_CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/files/patch-man_CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/files/patch-mysys_ssl_my_default.cc
  branches/2017Q1/databases/mysql56-client/files/patch-scripts_CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/files/patch-support-files_CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/pkg-message
  branches/2017Q1/databases/mysql56-server/Makefile
  branches/2017Q1/databases/mysql56-server/distinfo
  branches/2017Q1/databases/mysql56-server/files/my.cnf.sample.in
  branches/2017Q1/databases/mysql56-server/files/patch-cmake_ssl.cmake
  branches/2017Q1/databases/mysql56-server/files/patch-mysys_ssl_my_default.cc
  branches/2017Q1/databases/mysql56-server/pkg-message
  branches/2017Q1/databases/mysql56-server/pkg-plist